util

## Class Logger

- java.lang.Object
- - util.Logger

- All Implemented Interfaces:
    Logging

      public class Logger
      extends java.lang.Object
      implements Logging

  A very simple file-based implementation of the `Logging` interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Logger(java.lang.String path)` Constructs a new logger directing logging output to the file with the specified path, or suppressing logging output if the specified path is `null`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `closeLogFile()` Closes the current logging output file, if any, having first appended a date/time message to it.
    `void` | `logMsg(java.lang.String msg)` Appends the given message text to the current logging output file, if any.
    `void` | `logWrite(java.lang.String msg)` Appends the given message text and a line terminator to the current logginng output file, if any.
    `void` | `openLogFile(java.lang.String path)` Opens a new logging output file with the specified path, having first closed any previous logging output file.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Logger

          public Logger(java.lang.String path)

      Constructs a new logger directing logging output to the file with the specified path, or suppressing logging output if the specified path is `null`.

  - ### Method Detail

    - #### openLogFile

          public void openLogFile(java.lang.String path)

      Opens a new logging output file with the specified path, having first closed any previous logging output file.
      Specified by:
        `openLogFile` in interface `Logging`

    - #### closeLogFile

          public void closeLogFile()

      Closes the current logging output file, if any, having first appended a date/time message to it.
      Specified by:
        `closeLogFile` in interface `Logging`

    - #### logMsg

          public void logMsg(java.lang.String msg)

      Appends the given message text to the current logging output file, if any.
      Specified by:
        `logMsg` in interface `Logging`

    - #### logWrite

          public void logWrite(java.lang.String msg)

      Appends the given message text and a line terminator to the current logginng output file, if any.
      Specified by:
        `logWrite` in interface `Logging`